package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag710;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT710Creator;

/**
 * @author wanggang
 * @date 2023-03-02
 */
public class Tag39ACreator extends AbsTagCreate {

     private MT710Creator mt710Creator;

    public Tag39ACreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt710Creator= (MT710Creator) absMTCreator;
    }

    public void creator()
    {
        String tag39AValue = mt710Creator.getPercentageCreditAmountTolerance();
        mt710Creator.set("39A", tag39AValue);
    }
}

